#!/bin/sh

if [ $# -ne 1 ]
then
  echo usage "install <path to ear>"
  exit 1
fi

EAR_FILE=$1

echo $EAR_FILE

# Get the application.xml to add the new webapp to it
jar xvf $EAR_FILE META-INF/application.xml

IS_34=`grep "web app deployments" META-INF/application.xml | wc -l`
if [ $IS_34 -eq 0 ]
then
  SEARCH_STRING="sas-sdd-p21-portal.war"
else
  SEARCH_STRING="web app deployments"
fi


# Check to see whether the application.xml already has the war listed in it
CONTAINS_WAR=`grep sas-drugdev-remote.war META-INF/application.xml | wc -l`
echo $CONTAINS_WAR

if [ $CONTAINS_WAR -eq 0 ]
then
# insert the xml for the webapp
sed '
/'"${SEARCH_STRING}"'/ {
r insert.xml
}' META-INF/application.xml > application_tmp.xml

mv application_tmp.xml META-INF/application.xml
fi

# update the ear with the new application.xml and the war file
jar uvf $EAR_FILE META-INF/application.xml sas-drugdev-remote.war
